org.wildfly.swarm.container.util

## Class Messages_$logger

- java.lang.Object
- - DelegatingBasicLogger
  - - org.wildfly.swarm.container.util.Messages_$logger

- All Implemented Interfaces:
    Serializable, Messages

      @Generated(value="org.jboss.logging.processor.generator.model.MessageLoggerImplementor",
                 date="2018-03-07T09:14:33-0700")
      public class Messages_$logger
      extends DelegatingBasicLogger
      implements Messages, Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.wildfly.swarm.container.util.Messages

      `MESSAGES, OFFSET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Messages_$logger(Logger log)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attemptToAutoDetectDriver(String driverName)`
    `void` | `autodetectedDriver(String driverName)`
    `IllegalStateException` | `cannotAddReferenceToModule(String module, String alreadyAssociatedModule)`
    `void` | `errorLoadingAutodetectedDriver(String driverName, Throwable t)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Messages_$logger

          public Messages_$logger(Logger log)

  - ### Method Detail

    - #### attemptToAutoDetectDriver

          public final void attemptToAutoDetectDriver(String driverName)

      Specified by:
        `attemptToAutoDetectDriver` in interface `Messages`

    - #### autodetectedDriver

          public final void autodetectedDriver(String driverName)

      Specified by:
        `autodetectedDriver` in interface `Messages`

    - #### errorLoadingAutodetectedDriver

          public final void errorLoadingAutodetectedDriver(String driverName,
                                                           Throwable t)

      Specified by:
        `errorLoadingAutodetectedDriver` in interface `Messages`

    - #### cannotAddReferenceToModule

          public final IllegalStateException cannotAddReferenceToModule(String module,
                                                                        String alreadyAssociatedModule)

      Specified by:
        `cannotAddReferenceToModule` in interface `Messages`

Copyright © 2018 JBoss by Red Hat. All rights reserved.